%!TEX root=../source.tex
%!TEX file=config/configuration.tex

% % Enable automatic page breaks in math environments with
% \allowdisplaybreaks

% % Alter some LaTeX defaults for better treatment of figures:
% % See p.105 of "TeX Unbound" for suggested values.
% % See pp. 199-200 of Lamport's "LaTeX" book for details.
% %   General parameters, for ALL pages:
% \renewcommand{\topfraction}{0.90}  % max fraction of floats at top
% \renewcommand{\bottomfraction}{0.80} % max fraction of floats at bottom
% %   Parameters for TEXT pages (not float pages):
% \setcounter{topnumber}{2}
% \setcounter{bottomnumber}{2}
% \setcounter{totalnumber}{4}     % 2 may work better
% \setcounter{dbltopnumber}{2}    % for 2-column pages
% \renewcommand{\dbltopfraction}{0.90} % fit big float above 2-col. text
% \renewcommand{\textfraction}{0.10}  % allow minimal text w. figs
% %   Parameters for FLOAT pages (not text pages):
% \renewcommand{\floatpagefraction}{0.75}  % require fuller float pages
% % N.B.: floatpagefraction MUST be less than topfraction !!
% \renewcommand{\dblfloatpagefraction}{0.75} % require fuller float pages

% remember to use [htp] or [htpb] for placement

% % Package INTERVAL config
% \ifdraft{% Draft mode
%   \intervalconfig{%
%     colorize=\color{red}%
%   }%
% }{% Final mode
% }

% My custom adjustments to the siunitx package
\sisetup{%
  % General styling
  multi-part-units=brackets,%
  zero-decimal-to-integer=false,%
  add-decimal-zero=false,%
  add-integer-zero=true,%
  per-mode=reciprocal,%
  % Rounding
  round-mode=places,%
  round-precision=3,%
  round-half=even,%
  % Products \SI{1x2x3}
  product-units=power,%
  % Ranges \SIrange
  range-units=brackets,%
  % range-phrase={,\dots,},%
  % Lists \SIlist
  list-units=brackets,%
  % list-separator={,},%
  % list-pair-separator={,},%
  % list-final-separator={,},%
  % Tables
  table-unit-alignment=left,%
  % table-format=1.3,%
}
% New SI units
\DeclareSIUnit\permille{\text{\textperthousand}}
\DeclareSIUnit\dtex{dtex}

% %% MINTED SOURCE CODE HIGHLIGHTING
% \setminted{
%   breaklines,%
%   breakafter=-/;,%
%   breakbefore=\%,%
% }

% Style of lexing to use
% \usemintedstyle{colorful}
% \usemintedstyle{vs}

% Math-mode columns: left (N), right (M) and center (B) math aligned columns
\newcolumntype{N}{>{$}l<{$}}
\newcolumntype{B}{>{$}c<{$}}
\newcolumntype{M}{>{$}r<{$}}

% Lengths of some group plot dimensions
\setlength{\subplothsep}{0.50\baselineskip}
\setlength{\subplotvsep}{1.50\baselineskip}

\ifdraft{% we are in draft mode
}{% we are in final mode
}%
% END \ifdraft
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%





%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% general table styles
\pgfplotstableset{
  % General config
  empty cells with={\text{\textemdash}},%
  % Rounding precision: 3 places
  precision=3,%
  %
  % Style table
  every head row/.style={%
    before row=\toprule,%
    after row=\midrule,%
  },%
  every last row/.style={%
    after row=\bottomrule,%
  },
  %
  % Columns styling
  columns/idx/.style={
    column name={Element $\loopindex$},%
  },%
}

\pgfplotstableset{%
  print last n rows/.style={%
    row predicate/.code={%
      % Calculate where to start printing, use `truncatemacro` to get an integer without .0
      \pgfmathtruncatemacro\firstprintedrownumber{\pgfplotstablerows-#1}%
      \ifnum##1<\firstprintedrownumber\relax%
        \pgfplotstableuserowfalse%
      \fi%
    }%
  },%
  print last n rows/.default=1,%
  print first n rows/.style={%
    skip rows between index={#1}{\pgfplotstablerows},%
    row predicate/.code={%
      \pgfmathtruncatemacro\lastprintedrownumber{#1-1}%
      \ifnum\lastprintedrownumber<##1\relax%
        \pgfplotstableuserowfalse%
      \fi%
    },%
  },%
  print first n rows/.default=1,%
}
%% END general table styles
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cable robot configurations
\pgfplotstableset{%
  %
  % Column configurations for cable robot configuration printing
  columns/coord/.style={%
    column name={\text{Coord}},%
    string type,%
    column type={N},%
    empty cells with={\text{\textemdash}},%
    string replace={aix}{\ai{x}},%
    string replace={aiy}{\ai{y}},%
    string replace={aiz}{\ai{z}},%
    string replace={bix}{\bi{x}},%
    string replace={biy}{\bi{y}},%
    string replace={biz}{\bi{z}},%
    string replace={c1}{\text{Cable 1}},%
    string replace={c2}{\text{Cable 2}},%
    string replace={c3}{\text{Cable 3}},%
    string replace={c4}{\text{Cable 4}},%
    string replace={c5}{\text{Cable 5}},%
    string replace={c6}{\text{Cable 6}},%
    string replace={c7}{\text{Cable 7}},%
    string replace={c8}{\text{Cable 8}},%
  },%
  cable index column/.style={%
    column name={\text{Cable}},%
    string type,%
    column type={B},%
    string replace={c1}{1},%
    string replace={c2}{2},%
    string replace={c3}{3},%
    string replace={c4}{4},%
    string replace={c5}{5},%
    string replace={c6}{6},%
    string replace={c7}{7},%
    string replace={c8}{8},%
  },%
  columns/cable/.style={%
   cable index column,%
  },%
  columns/cable index/.style={%
   cable index column,%
  },%
  columns/cable_index/.style={%
   cable index column,%
  },%
  % Per-cable column
  cable column/.style={%
    dec sep align={c},%
    precision=4,%
    fixed,%
    fixed zerofill,%
  },%
  % Per-coordinate columns
  configuration coordinate column/.style={%
    dec sep align={c},%
    precision=4,%
    fixed,%
    fixed zerofill,%
  },
  % Cable columns
  columns/c1/.style={%
    column name={Cable 1},%
    cable column,%
  },%
  columns/c2/.style={%
    column name={Cable 2},%
    cable column,%
  },%
  columns/c3/.style={%
    column name={Cable 3},%
    cable column,%
  },%
  columns/c4/.style={%
    column name={Cable 4},%
    cable column,%
  },%
  columns/c5/.style={%
    column name={Cable 5},%
    cable column,%
  },%
  columns/c6/.style={%
    column name={Cable 6},%
    cable column,%
  },%
  columns/c7/.style={%
    column name={Cable 7},%
    cable column,%
  },%
  columns/c8/.style={%
    column name={Cable 8},%
    cable column,%
  },%
  columns/aix/.style={%
    column name={$\ai{x} / \si{\meter}$},%
    configuration coordinate column,%
  },%
  columns/aiy/.style={%
    column name={$\ai{y} / \si{\meter}$},%
    configuration coordinate column,%
  },%
  columns/aiz/.style={%
    column name={$\ai{z} / \si{\meter}$},%
    configuration coordinate column,%
  },%
  columns/bix/.style={%
    column name={$\bi{x} / \si{\meter}$},%
    configuration coordinate column,%
  },%
  columns/biy/.style={%
    column name={$\bi{y} / \si{\meter}$},%
    configuration coordinate column,%
  },%
  columns/biz/.style={%
    column name={$\bi{z} / \si{\meter}$},%
    configuration coordinate column,%
  },%
}
%% END cable robot configurations
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% stress-strain dynamics tables
\pgfplotstableset{%
  %
  % Column configurations for stress-strain material models
  columns/trial/.style={%
    column name={Trial},%
    string type,%
    column type={>{\centering\arraybackslash}p{3.00em}},%
    string replace={mean}{$\mean[x]$},%
    string replace={median}{$\median[x]$},%
    string replace={std}{$\std[x]$},%
    string replace={var}{$\var[x]$},%
    string replace={sem}{$\sem[x]$},%
    string replace={min}{$\min x$},%
    string replace={max}{$\max x$},%
    string replace={p25}{$\prctile{25}$},%
    string replace={p75}{$\prctile{75}$},%
  },%
  mechanical parameter column/.style={%
    zerofill,%
    dec sep align={c},%
    precision=3,%
  },%
  columns/EG/.style={%
    column name={$\youngsmodulus_{\loopindex} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/EG1/.style={%
    column name={$\youngsmodulus_{1} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/EG2/.style={%
    column name={$\youngsmodulus_{2} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/EG3/.style={%
    column name={$\youngsmodulus_{3} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/EG4/.style={%
    column name={$\youngsmodulus_{4} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/NG/.style={%
    column name={$\viscousmodulus_{\loopindex} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/NG1/.style={%
    column name={$\viscousmodulus_{1} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/NG2/.style={%
    column name={$\viscousmodulus_{2} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/NG3/.style={%
    column name={$\viscousmodulus_{3} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/NG4/.style={%
    column name={$\viscousmodulus_{4} / \si{\giga\pascal}$},%
    mechanical parameter column,%
  },%
  columns/gof/.style={%
    column name={$\gof / \si{\percent}$},%
    zerofill,%
    dec sep align={c},%
    precision=3,%
  },%
  %
  % Additional column
  create on use/stat prop/.style={%
    create col/set list={%
      ,%
      ,%
      ,%
      ,%
      ,%
      ,%
      ,%
      ,%
      ,%
      ,%
      Mean,%
      Median,%
      {Standard Deviation},%
      Variance,%
      {Standard error of the mean},%
      Minimum,%
      Maximum,%
      {25th percentile},%
      {75th percentile}%
    },%
  },%
  columns/stat prop/.style={%
    column name={},%
    string type,%
    column type={>{\centering\arraybackslash}p{4.25em}},%
  },%
}%
%% stress-strain dynamics tables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% natural frequencies tables
\pgfplotstableset{%
  % Column styles
  % Mode number
  columns/n/.style={%
    column name={\text{Mode } \loopindex},%
    string type,%
    column type={B},%
  },%
  natural frequency column/.style={%
    clear infinite,%
    string type,%
    empty cells with={\text{\textemdash}},%
    column type={S[%
      round-precision=3,%
      table-format=3.3e2,%
      scientific-notation=engineering,%
      explicit-sign,%
      output-exponent-marker=\text{e},%
    ]},%
  },%
  %
  % Basic styles for columns with natural frequencies
  model natural frequency column/.style={%
    column name={$\naturalfrequency_{\loopindex} / \si{\radian\per\second}$},%
    natural frequency column,%
  },%
  analytical natural frequency column/.style={%
    column name={$\bar{\naturalfrequency}_{\loopindex} / \si{\radian\per\second}$},%
    natural frequency column,%
  },%
  difference natural frequency column/.style={%
    column name={$\Delta \naturalfrequency_{\loopindex} / \si{\radian\per\second}$},%
    natural frequency column,%
  },%
  error natural frequency column/.style={%
    column name={$\residual_{\naturalfrequency_{\loopindex}} / \si{\radian\per\second}$},%
    natural frequency column,%
    column type={S[%
      round-precision=1,%
      table-format=3.1e2,%
      scientific-notation=engineering,%
      explicit-sign,%
      output-exponent-marker=\text{e},%
    ]},%
  },%
  percent natural frequency column/.style={%
    column name={$\residual*_{\naturalfrequency_{\loopindex}} / \si{\percent}$},%
    multiply with=100,%
    natural frequency column,%
    column type={S[%
      round-precision=2,%
      table-omit-exponent,%
      table-format=2.2,%
      explicit-sign,%
    ]},%
  },%
  %
  % Natural frequency value
  columns/1/.style={%
    natural frequency column,%
  },%
  columns/2/.style={%
    natural frequency column,%
  },%
  columns/3/.style={%
    natural frequency column,%
  },%
  columns/4/.style={%
    natural frequency column,%
  },%
  columns/5/.style={%
    natural frequency column,%
  },%
  columns/6/.style={%
    natural frequency column,%
  },%
  columns/7/.style={%
    natural frequency column,%
  },%
  columns/8/.style={%
    natural frequency column,%
  },%
  columns/9/.style={%
    natural frequency column,%
  },%
  columns/10/.style={%
    natural frequency column,%
  },%
  columns/11/.style={%
    natural frequency column,%
  },%
  columns/12/.style={%
    natural frequency column,%
  },%
  columns/13/.style={%
    natural frequency column,%
  },%
  columns/14/.style={%
    natural frequency column,%
  },%
  columns/15/.style={%
    natural frequency column,%
  },%
  columns/16/.style={%
    natural frequency column,%
  },%
  columns/17/.style={%
    natural frequency column,%
  },%
  columns/18/.style={%
    natural frequency column,%
  },%
  columns/19/.style={%
    natural frequency column,%
  },%
  columns/20/.style={%
    natural frequency column,%
  },%
  columns/21/.style={%
    natural frequency column,%
  },%
  columns/22/.style={%
    natural frequency column,%
  },%
  columns/23/.style={%
    natural frequency column,%
  },%
  columns/24/.style={%
    natural frequency column,%
  },%
  columns/25/.style={%
    natural frequency column,%
  },%
  %
  % Per number of segments
  % Model
  columns/w1/.style={%
    model natural frequency column,%
  },%
  columns/w2/.style={%
    model natural frequency column,%
  },%
  columns/w3/.style={%
    model natural frequency column,%
  },%
  columns/w4/.style={%
    model natural frequency column,%
  },%
  columns/w5/.style={%
    model natural frequency column,%
  },%
  columns/w6/.style={%
    model natural frequency column,%
  },%
  columns/w7/.style={%
    model natural frequency column,%
  },%
  columns/w8/.style={%
    model natural frequency column,%
  },%
  columns/w9/.style={%
    model natural frequency column,%
  },%
  columns/w10/.style={%
    model natural frequency column,%
  },%
  columns/w11/.style={%
    model natural frequency column,%
  },%
  columns/w12/.style={%
    model natural frequency column,%
  },%
  columns/w13/.style={%
    model natural frequency column,%
  },%
  columns/w14/.style={%
    model natural frequency column,%
  },%
  columns/w15/.style={%
    model natural frequency column,%
  },%
  columns/w16/.style={%
    model natural frequency column,%
  },%
  columns/w17/.style={%
    model natural frequency column,%
  },%
  columns/w18/.style={%
    model natural frequency column,%
  },%
  columns/w19/.style={%
    model natural frequency column,%
  },%
  columns/w20/.style={%
    model natural frequency column,%
  },%
  % Analytical
  columns/wr1/.style={%
    analytical natural frequency column,%
  },%
  columns/wr2/.style={%
    analytical natural frequency column,%
  },%
  columns/wr3/.style={%
    analytical natural frequency column,%
  },%
  columns/wr4/.style={%
    analytical natural frequency column,%
  },%
  columns/wr5/.style={%
    analytical natural frequency column,%
  },%
  columns/wr6/.style={%
    analytical natural frequency column,%
  },%
  columns/wr7/.style={%
    analytical natural frequency column,%
  },%
  columns/wr8/.style={%
    analytical natural frequency column,%
  },%
  columns/wr9/.style={%
    analytical natural frequency column,%
  },%
  columns/wr10/.style={%
    analytical natural frequency column,%
  },%
  columns/wr11/.style={%
    analytical natural frequency column,%
  },%
  columns/wr12/.style={%
    analytical natural frequency column,%
  },%
  columns/wr13/.style={%
    analytical natural frequency column,%
  },%
  columns/wr14/.style={%
    analytical natural frequency column,%
  },%
  columns/wr15/.style={%
    analytical natural frequency column,%
  },%
  columns/wr16/.style={%
    analytical natural frequency column,%
  },%
  columns/wr17/.style={%
    analytical natural frequency column,%
  },%
  columns/wr18/.style={%
    analytical natural frequency column,%
  },%
  columns/wr19/.style={%
    analytical natural frequency column,%
  },%
  columns/wr20/.style={%
    analytical natural frequency column,%
  },%
  % Difference
  columns/wd1/.style={%
    difference natural frequency column,%
  },%
  columns/wd2/.style={%
    difference natural frequency column,%
  },%
  columns/wd3/.style={%
    difference natural frequency column,%
  },%
  columns/wd4/.style={%
    difference natural frequency column,%
  },%
  columns/wd5/.style={%
    difference natural frequency column,%
  },%
  columns/wd6/.style={%
    difference natural frequency column,%
  },%
  columns/wd7/.style={%
    difference natural frequency column,%
  },%
  columns/wd8/.style={%
    difference natural frequency column,%
  },%
  columns/wd9/.style={%
    difference natural frequency column,%
  },%
  columns/wd10/.style={%
    difference natural frequency column,%
  },%
  columns/wd11/.style={%
    difference natural frequency column,%
  },%
  columns/wd12/.style={%
    difference natural frequency column,%
  },%
  columns/wd13/.style={%
    difference natural frequency column,%
  },%
  columns/wd14/.style={%
    difference natural frequency column,%
  },%
  columns/wd15/.style={%
    difference natural frequency column,%
  },%
  columns/wd16/.style={%
    difference natural frequency column,%
  },%
  columns/wd17/.style={%
    difference natural frequency column,%
  },%
  columns/wd18/.style={%
    difference natural frequency column,%
  },%
  columns/wd19/.style={%
    difference natural frequency column,%
  },%
  columns/wd20/.style={%
    difference natural frequency column,%
  },%
  % Error
  columns/we1/.style={%
    error natural frequency column,%
  },%
  columns/we2/.style={%
    error natural frequency column,%
  },%
  columns/we3/.style={%
    error natural frequency column,%
  },%
  columns/we4/.style={%
    error natural frequency column,%
  },%
  columns/we5/.style={%
    error natural frequency column,%
  },%
  columns/we6/.style={%
    error natural frequency column,%
  },%
  columns/we7/.style={%
    error natural frequency column,%
  },%
  columns/we8/.style={%
    error natural frequency column,%
  },%
  columns/we9/.style={%
    error natural frequency column,%
  },%
  columns/we10/.style={%
    error natural frequency column,%
  },%
  columns/we11/.style={%
    error natural frequency column,%
  },%
  columns/we12/.style={%
    error natural frequency column,%
  },%
  columns/we13/.style={%
    error natural frequency column,%
  },%
  columns/we14/.style={%
    error natural frequency column,%
  },%
  columns/we15/.style={%
    error natural frequency column,%
  },%
  columns/we16/.style={%
    error natural frequency column,%
  },%
  columns/we17/.style={%
    error natural frequency column,%
  },%
  columns/we18/.style={%
    error natural frequency column,%
  },%
  columns/we19/.style={%
    error natural frequency column,%
  },%
  columns/we20/.style={%
    error natural frequency column,%
  },%
  % Percentage error
  columns/wp1/.style={%
    percent natural frequency column,%
  },%
  columns/wp2/.style={%
    percent natural frequency column,%
  },%
  columns/wp3/.style={%
    percent natural frequency column,%
  },%
  columns/wp4/.style={%
    percent natural frequency column,%
  },%
  columns/wp5/.style={%
    percent natural frequency column,%
  },%
  columns/wp6/.style={%
    percent natural frequency column,%
  },%
  columns/wp7/.style={%
    percent natural frequency column,%
  },%
  columns/wp8/.style={%
    percent natural frequency column,%
  },%
  columns/wp9/.style={%
    percent natural frequency column,%
  },%
  columns/wp10/.style={%
    percent natural frequency column,%
  },%
  columns/wp11/.style={%
    percent natural frequency column,%
  },%
  columns/wp12/.style={%
    percent natural frequency column,%
  },%
  columns/wp13/.style={%
    percent natural frequency column,%
  },%
  columns/wp14/.style={%
    percent natural frequency column,%
  },%
  columns/wp15/.style={%
    percent natural frequency column,%
  },%
  columns/wp16/.style={%
    percent natural frequency column,%
  },%
  columns/wp17/.style={%
    percent natural frequency column,%
  },%
  columns/wp18/.style={%
    percent natural frequency column,%
  },%
  columns/wp19/.style={%
    percent natural frequency column,%
  },%
  columns/wp20/.style={%
    percent natural frequency column,%
  },%
}

%% END natural frequencies tables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% name/value property tables

\pgfplotstableset{%
  % Property name
  columns/Property/.style={%
    column name={Property},%
    column type={l},%
    string type,%
    string replace={Diameter}{Diameter},%
    string replace={Diameter}{Diameter},%
    string replace={CrossSection}{Cross-Section},%
    string replace={MomentOfArea}{Moment of Area},%
    string replace={UnitDensity}{Unit Density},%
    string replace={YoungsModulus}{Young's Modulus},%
    string replace={PoissonRatio}{Poisson's Ratio},%
    string replace={ShearModulus}{Shear Modulus},%
    string replace={Mass}{Mass},%
    string replace={InertiaXX}{Inertia tensor},%
    string replace={InertiaXY}{Inertia tensor},%
    string replace={InertiaXZ}{Inertia tensor},%
    string replace={InertiaYX}{Inertia tensor},%
    string replace={InertiaYY}{Inertia tensor},%
    string replace={InertiaYZ}{Inertia tensor},%
    string replace={InertiaZX}{Inertia tensor},%
    string replace={InertiaZY}{Inertia tensor},%
    string replace={InertiaZZ}{Inertia tensor},%
  },%
  columns/property/.style={%
    column name={Property},%
    column type={l},%
    string type,%
  },%
  %
  % Mathematical variable
  columns/Variable/.style={%
    column name=\text{Variable},
    string type,%
    column type={B},%
    empty cells with={\text{\textemdash}},%
  },%
  columns/variable/.style={%
    column name=\text{Variable},
    string type,%
    column type={B},%
    empty cells with={\text{\textemdash}},%
  },%
  %
  % Value of property
  columns/Value/.style={%
    column name=\text{Value},
    string type,%
    column type={S},%
    empty cells with={\text{\textemdash}},%
  },%
  columns/value/.style={%
    column name=\text{Value},
    string type,%
    column type={S},%
    empty cells with={\text{\textemdash}},%
  },%
  %
  % Unit of property
  columns/Unit/.style={%
    column name={Unit},
    string type,%
    column type={s},%
    empty cells with={\text{\textemdash}},%
  },%
  columns/unit/.style={%
    column name={Unit},
    string type,%
    column type={s},%
    empty cells with={\text{\textemdash}},%
  },%
  columns/cogiro/.style={%
    column name={\CoGiRo},%
  },%
  columns/copacabana handling/.style={%
    column name={\COPacabanaHandling},%
  },%
  columns/copacabana inspection/.style={%
    column name={\COPacabanaInspection},%
  },%
  columns/expo2015/.style={%
    column name={\Expo},%
  },%
  columns/ipanema 1/.style={%
    column name={\IPAnemaOne},%
  },%
  columns/ipanema 1.5/.style={%
    column name={\IPAnemaOneFive},%
  },%
  columns/ipanema 2/.style={%
    column name={\IPAnemaTwo},%
  },%
  columns/ipanema 3/.style={%
    column name={\IPAnemaThree},%
  },%
  columns/ipanema mini/.style={%
    column name={\IPAnemaMini},%
  },%
  columns/segesta/.style={%
    column name={\Segesta},%
  },%
}%

%% END name/value property tables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cable force tables
\pgfplotstableset{%
  cable force column/.style={%
    string type,%
    column type={S[%
      round-precision=1,%
      table-omit-exponent,%
      table-format=3.1,%
    ]},%
    empty cells with={\text{\textemdash}},%
  },%
  % Lateral cable force
  columns/fx/.style={%
    cable force column,%
    column name={$\cabforcedirn_{\cabindex, \ms{x}} / \si{\newton}$},
  },%
  % Longitudinal cable force
  columns/fy/.style={%
    cable force column,%
    column name={$\cabforcedirn_{\cabindex, \ms{y}} / \si{\newton}$},
  },%
  % Vertical cable force
  columns/fz/.style={%
    cable force column,%
    column name={$\cabforcedirn_{\cabindex, \ms{z}} / \si{\newton}$},
  },%
  % Nominal cable force
  columns/fn/.style={%
    cable force column,%
    column name={$\cabforce_{\cabindex} / \si{\newton}$},
  },%
  % Nominal cable force kinematics
  columns/fn kinematics/.style={%
    cable force column,%
    column name={$\cabforce_{\cabindex, \mskinematic} / \si{\newton}$},
  },%
  % Nominal cable force kinetostatics
  columns/fn kinetostatic/.style={%
    cable force column,%
    column name={$\cabforce_{\cabindex, \mskinetostatic} / \si{\newton}$},
  },%
  % Nominal cable force force distribution
  columns/fn fdist/.style={%
    cable force column,%
    column name={$\cabforce_{\cabindex, \symdist} / \si{\newton}$},
  },%
  % Nominal cable force difference
  create on use/fn diff/.style={%
    create col/expr={\thisrow{fn kinetostatic} - \thisrow{fn kinematics}},%
  },%
  columns/fn diff/.style={%
    cable force column,%
    column name={$\Delta \cabforce_{\cabindex} / \si{\newton}$},
  },%
}
%% END cable force tables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%




%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% cable length tables
\pgfplotstableset{%
  cable length column/.style={%
    string type,%
    column type={S[%
      round-precision=2,%
      table-omit-exponent,%
      table-format=3.2,%
    ]},%
    empty cells with={\text{\textemdash}},%
  },%
  % Kinematic cable length
  columns/lkin/.style={%
    cable length column,%
    column name={$\cablen_{\cabindex, \mskinematic} / \si{\meter}$},
  },%
  % Kinetostatic cable length
  columns/lkineto/.style={%
    cable length column,%
    column name={$\cablen_{\cabindex, \mskinetostatic} / \si{\meter}$},
  },%
  % Difference column
  create on use/ldiff/.style={%
    create col/expr={\thisrow{lkineto} - \thisrow{lkin}},%
  },%
  columns/ldiff/.style={%
    cable length column,%
    column name={$\delcablen_{\cabindex} / \si{\meter}$},%
  },%
}
%% END cable force tables
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
